let baseURL: string = import.meta.env.VITE_API_BASE

// switch (import.meta.env.MODE) {
//   case 'production':
//     baseURL = import.meta.env.VITE_API_URL_PRODUCT
//     break
//   default:
//     baseURL = import.meta.env.VITE_API_URL_Development // 默认为开发环境
// }

const LoginAPI = {
  login: `/user/login`,
}

const MaterialAPI = {
  getAllTags: `/property/getTags`, // 获取所有标签
  addTag: `/property/setTag`, // 添加标签
  getAllGamesInfo: `/property/gameList`, // 获取所有游戏的pid和gid信息
  uploadAsset: `/property/upload`, // 上传文件
  imgSubmit: `/property/imageSet`, // 图片提交
  videoSubmit: `/property/videoSet`, // 视频提交
  imgList: `/property/imageList`, // 图片列表
  videoList: `/property/videoList`, // 视频列表
  imgFilterInfo: `/property/getImageListHead`, // 图片列表筛选信息
  videoFilterInfo: `/property/getVideoListHead`, // 视频列表筛选信息
  updateImgTags: `/property/updateImageTags`, // 更新图片标签
  updateVideoTags: `/property/updateVideoTags`, // 更新视频标签
  deleteImg: `/property/imageDelete`, // 删除图片
  deleteVideo: `/property/videoDelete`, // 删除视频
}

const ManageAPI = {
  getLogList: `/admin/actionLogList`, // 获取操作日志列表
  getLogFilterInfo: `/admin/getActionLogHeader`, // 获取操作日志列表筛选信息,
  getIdentityList: `/admin/getIdentityList`, // 获取身份列表
  getPermissionInfo: `/admin/permissionList`, // 获取权限信息
  getIdentityMapList: `/admin/getIdentity`, // 获取身份字典列表
  updateIdentity: `/admin/updateIdentityPermission`, // 更新身份
  addIdentity: `/admin/setIdentity`, // 新增身份
  delIdentity: `/admin/deleteIdentity`, // 删除身份
  getOperationUserList: `/admin/adminList`, // 获取操作用户列表
  getAdminList: '/admin/adminUserList', // 获取管理员列表
  addManager: '/admin/createAdminUser', // 新增管理员
  delManager: '/admin/deleteAdminUser', // 删除管理员
}

export { MaterialAPI, LoginAPI, ManageAPI, baseURL }
