import { createRouter, createWebHistory } from 'vue-router'

import LoginRoutes from './login'
import HomeRoutes from './home'
import Material from './material'
import Manage from './manage.ts'
import { authLogin } from '@/utils/axios/auth.ts'

// 路由配置
const routes = [
  ...LoginRoutes,

  {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index.vue'),
    children: [...HomeRoutes, ...Material, ...Manage],
  },
  {
    path: '/',
    redirect: '/home',
  },
  {
    //访问不存在的路由的时候，跳转到首页
    path: '/:pathMatch(.*)',
    redirect: '/home',
  },
]

const router = createRouter({
  // history: createWebHashHistory(),
  history: createWebHistory(),
  routes,
})

router.beforeEach((to, _from, next) => {
  // debugger
  if (to.name === 'Login') {
    next()
  } else {
    if (authLogin()) {
      next()
    } else {
      router.push('/login')
    }
  }
})
export default router
