import type { NavigationGuardNext, RouteLocationNormalized } from 'vue-router'
import { authLogin } from '@/utils/axios/auth.ts'

export default [
  {
    path: '/login',
    name: 'Login',
    component: () => import('@/views/Login/LoginView.vue'),
    beforeEnter: (
      _to: RouteLocationNormalized,
      _from: RouteLocationNormalized,
      next: NavigationGuardNext,
    ) => {
      // 验证登录，已经登录了就跳转到首页
      if (authLogin()) {
        next('/')
      } else {
        next()
      }
    },
  },
]
