/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-21 11:12:21
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-16 14:27:56
 * @FilePath: \Quantity-Creation-Management-System\src\utils\axios\auth.ts
 * @Description:
 *
 */

import { ElMessage } from 'element-plus'
import { MessageType } from '@/types/axios'
// import { UserStore } from '@/stores/UserStore.ts'
import { getToken } from '@/utils/token/token.ts'
import { UserStore } from '@/stores/UserStore.ts'

export const authLogin = (): boolean => {
  const token = getToken()
  const { isLoggedIn, initUserInfo } = UserStore()

  if (!token) {
    ElMessage({
      type: MessageType.Warning,
      message: '请先登录',
      duration: 1500,
    })
  }
  // 如果是第一次进入界面，就需要初始化用户信息
  // 如果初始化失败，则返回false

  if (!isLoggedIn) {
    return initUserInfo()
  }
  return !!token

  // const { isLoggedIn } = UserStore()
  //
  // if (!isLoggedIn) {
  //   ElMessage({
  //     type: MessageType.Warning,
  //     message: '请先登录',
  //     duration: 1500,
  //   })
  // }
  // return isLoggedIn
}
